Page MenuHomePhabricator

Browser tests for GettingStarted CTA
Open, LowPublic

Description

There are a few variants I can think of. All of these should be amenable to one or more Cucumber browser tests.

  1. Already editing - Doesn't show
  2. Special page - Doesn't show
  3. Protected page - Suggestion only
  4. Regular page - Edit current and suggestion
  5. Page outside main namespace - Suggestion only
  6. Unknown URL parameter - Suggestion only

Version: master
Severity: normal

Details

Reference
bz63172

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:50 AM
bzimport set Reference to bz63172.
bzimport added a subscriber: Unknown Object (MLST).

Change 123873 had a related patch set uploaded by Phuedx:
User sees call to action after registration

https://gerrit.wikimedia.org/r/123873

Change 123873 merged by jenkins-bot:
User sees call to action after registration

https://gerrit.wikimedia.org/r/123873

The password issue Antoine mentioned at https://bugzilla.wikimedia.org/show_bug.cgi?id=52246#c18 should be fixed by https://gerrit.wikimedia.org/r/#/c/157829/1 . However, the test is still not passing for other reasons.

Patch was merged; resetting status from PATCH_TO_REVIEW to NEW per last comment

Aklapper triaged this task as Low priority.Jan 27 2015, 10:32 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 30 2018, 1:28 PM
hashar removed a subscriber: hashar.Aug 30 2018, 3:27 PM